2017-09-25 18:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002967Kali Linux[All Projects] Kali Package Bugpublic2016-01-04 09:01
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Versionkali-dev 
Summary0002967: commix 0.3b-0kali1 - ascii banner
DescriptionLooks like the 'disable-install-and-update.patch' is messing up the ascii banner

http://git.kali.org/gitweb/?p=packages/commix.git;a=blob;f=debian/patches/disable-install-and-update.patch;h=74d807779ce48f2004484a86c1e9192ae549bc54;hb=c7ea3df242a107ace6e6e9d3de618e5685d4b815#l54


Looking at the patch file, the author of it has trim trailing spaces enabled on save.
The project (currently) has a few trailing spaces which has increased the size of the patch file.
Additional Information[root:~]# apt-get install commix
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  commix
0 upgraded, 1 newly installed, 0 to remove and 2158 not upgraded.
Need to get 78.2 kB of archives.
After this operation, 733 kB of additional disk space will be used.
Get:1 http://http.kali.org/kali/ kali-rolling/main commix all 0.3b-0kali1 [78.2 kB]
Fetched 78.2 kB in 0s (110 kB/s)
Selecting previously unselected package commix.
(Reading database ... 398498 files and directories currently installed.)
Preparing to unpack .../commix_0.3b-0kali1_all.deb ...
Unpacking commix (0.3b-0kali1) ...
Setting up commix (0.3b-0kali1) ...
[root:~]# commix
                                       __
   ___ ___ ___ ___ ___ ___ /\_\ __ _
  /'___\ / __`\ /' __` __`\ /' __` __`\/\ \ /\ \/' /\ \__//\ \L\ \/\ \/\ \/\ \/\ \/\ \/\ \ \ \\/> </
 \ \____\ \____/\ \_\ \_\ \_\ \_\ \_\ \_\ \_\/\_/\_\
  \/____/\/___/ \/_/\/_/\/_/\/_/\/_/\/_/\/_/\//\/_/ { v0.3b-nongit-20151230 }

+--
Automated All-in-One OS Command Injection and Exploitation Tool
Copyright (c) 2014-2015 Anastasios Stasinopoulos (@ancst)
+--

Usage: python commix.py [options]
Attached Files

-Relationships
+Relationships

-Notes

~0004467

sbrun (manager)

new version 0.3b-0kali2 fixes this issue
+Notes

-Issue History
Date Modified Username Field Change
2015-12-31 12:29 g0tmi1k New Issue
2016-01-04 09:00 sbrun Note Added: 0004467
2016-01-04 09:01 sbrun Assigned To => sbrun
2016-01-04 09:01 sbrun Status new => resolved
2016-01-04 09:01 sbrun Resolution open => fixed
2016-01-04 09:01 sbrun Fixed in Version => kali-dev
+Issue History